<!doctype html>
<html>

<head>


    <meta charset='UTF-8' />
    <style>
        input,
        textarea {
            border: 1px solid #CCC;
            margin: 0px;
            padding: 0px
        }
        
        #body {
            max-width: 800px;
            margin: auto
        }
        
        #log {
            width: 100%;
            height: 400px
        }
        
        #message {
            width: 100%;
            line-height: 20px
        }
    </style>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js">
    </script>

    <script src="fancywebsocket.js"></script>
    <script>
        var Server;

        function log(text) {
            $log = $('#log'); //Add text to log

            $log.append(($log.val() ? "\n" : '') + text); //Autoscroll

            $log[0].scrollTop = $log[0].scrollHeight - $log[0].clientHeight;

        }

        function send(text) {
            Server.send('message', text);

        }

        $(document).ready(function() {

            // (Set WebSocket Server and Port. Bisa disesuaikan dengan kebutuhan); Server = new FancyWebSocket('ws://192.168.1.20:8080');

            $('#message').keypress(function(e) {

                if (e.keyCode == 13 && this.value) {
                    log('You: ' + this.value);

                    send(this.value);
                    $(this).val('');

                }

            });

            // (Parsing JSON);

            Server.bind('message', function(payload) {
                log(payload);

                var json = $('#log').val();
                var obj = JSON.parse(json);
                $('#nik').val(obj.nik);
                $('#nama').val(obj.namaLengkap);

                $('#provinsi').val(obj.namaProvinsi);
                $('#kota').val(obj.namaKabupaten);
                var tempatLahir = obj.tempatLahir;
                var tanggalLahir = obj.tanggalLahir;

                $('#ttl').val(obj.tempatLahir + "/" + obj.tanggalLahir);
                $('#jk').val(obj.jenisKelamin);
                $('#agama').val(obj.agama);
                $('#kelurahan').val(obj.namaKelurahan);
                $('#kecamatan').val(obj.namaKecamatan);

                var rt = obj.nomorRt;
                var rw = obj.nomorRw;
                $('#rtrw').val(rt + "/" + rw);

                $('#pekerjaan').val(obj.jenisPekerjaan);
                $('#alamat').val(obj.alamat);
                $('#status').val(obj.statusKawin);

                14

                $('#kewarganegaraan').val(obj.kewarganegaraan);
                $('#golongandarah').val(obj.golonganDarah);
                $('#berlakuhingga').val(obj.berlakuHingga);

                $('#foto').html("<img src='data:image/png;base64," + obj.foto + "' width=100px height=120px>");

                $('#ttd').html("<img src='data:image/png;base64," + obj.ttd + "' width=100px height=120px>");

                //('Disconnect to Server'); Server.disconnect();
            });

            Server.connect();
            $('#buttonbaru').click(function() {});
        });
        $(document).ready(function() {

        });
    </script>
</head>

<body>

    <div id='body'>

        <textarea id='log' name='log' readonly='readonly'></textarea><br/>
        <div class="form-group">

            <p>NIK </p>

            <input type="text" name="nik" id="nik"> </div>

        <div class="form-group">
            <p>Nama </p>

            <input type="text" name="nama" id="nama">
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>Provinsi </p>

            <input type="text" name="propinsi" id="provinsi" />
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>Daerah </p>

            <input type="text" name="daerah" id="kota" />
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>Tempat/Tanggal Lahir</p>

            <input type="text" name="ttl" id="ttl" />
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>Jenis Kelamin </p>

            <input type="text" name="jk" id="jk">
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>Alamat </p>

            <textarea name="alamat" id="alamat"></textarea>
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>RT/RW</p>

            <input type="text" name="rtrw" id="rtrw" />

            <div class="validation"></div>
        </div>

        <div class="form-group">
            <p>Kecamatan </p>

            <input type="text" name="kecamatan" id="kecamatan" />
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>Kelurahan </p>

            <input type="text" name="keldesa" id="kelurahan" />
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>Agama</p>

            <input type="text" name="agama" id="agama">
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>Pekerjaan </p>

            <input type="text" name="pekerjaan" id="pekerjaan">
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>Status </p>

            <input type="text" name="status" id="status">
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>Warga Negara </p>

            <input type="text" name="kewarganegaraan" id="kewarganegaraan">
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>Golongan Darah</p>

            <input type="text" name="golongandarah" id="golongandarah">
            <div class="validation"></div>

        </div>

        <div class="form-group">
            <p>Berlaku Hingga </p>

            <input type="text" name="berlakuhingga" id="berlakuhingga">
            <div class="validation"></div>

        </div>

        <p>Foto</p>

        <div id="foto">

            <input type="text" name="foto" hidden="" /> </div>

        <p>Tanda Tangan</p>
        <div id="ttd">
            <input type="text" name="ttd" hidden="" />

        </div>

        <div class="validation"></div>
    </div>

    </div>
</body>

</html>